Bug 1918140 - Deployment openstack-cinder-csi-driver-controller and openstack-manila-csi-controllerplugin doesn't be installed on OSP
Summary: Deployment openstack-cinder-csi-driver-controller and openstack-manila-csi-co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 07:42 UTC by Wei Duan
Modified: 2021-02-24 15:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:54:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift csi-driver-manila-operator pull 82 0 None closed Bug 1918140: Fix sync of config.openshift.io informer 2021-01-25 08:54:10 UTC
Github openshift openstack-cinder-csi-driver-operator pull 23 0 None closed Bug 1918140: Fix sync of config.openshift.io informer 2021-01-25 08:54:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:13 UTC

Description Wei Duan 2021-01-20 07:42:42 UTC
Description of problem:
After installing the latest nightly build on OSP, there are no openstack-cinder-csi-driver-controller deployment for cinder csi driver and no openstack-manila-csi-controller for manila driver as below. Not sure if it is caused by proxy env PR in https://github.com/openshift/openstack-cinder-csi-driver-operator/pull/21 and https://github.com/openshift/csi-driver-manila-operator/pull/79 recently.   
$ oc get deployment -A | grep csi
openshift-cluster-csi-drivers                      manila-csi-driver-operator               1/1     1            1           3h43m
openshift-cluster-csi-drivers                      openstack-cinder-csi-driver-operator     1/1     1            1           3h44m
openshift-cluster-storage-operator                 csi-snapshot-controller                  1/1     1            1           3h44m
openshift-cluster-storage-operator                 csi-snapshot-controller-operator         1/1     1            1           3h47m
openshift-cluster-storage-operator                 csi-snapshot-webhook                     1/1     1            1           3h44m

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-01-19-095812

How reproducible:
Always

Steps to Reproduce:
See Description.

Comment 2 Jan Safranek 2021-01-20 11:36:47 UTC
From the logs:

I0120 11:28:32.446446       1 base_controller.go:66] Waiting for caches to sync for OpenStackCinderDriverControllerServiceController

and there is no "Starting #1 worker of OpenStackCinderDriverControllerServiceController controller ...", i.e. the operator waits for cache sync forever.

Comment 4 Wei Duan 2021-01-22 06:00:49 UTC
Verified pass on 4.7.0-0.nightly-2021-01-21-215614.

$ oc -n openshift-manila-csi-driver get deployment openstack-manila-csi-controllerplugin
NAME                                    READY   UP-TO-DATE   AVAILABLE   AGE
openstack-manila-csi-controllerplugin   1/1     1            1           78m

$ oc -n openshift-cluster-csi-drivers get deployment openstack-cinder-csi-driver-controller
NAME                                     READY   UP-TO-DATE   AVAILABLE   AGE
openstack-cinder-csi-driver-controller   1/1     1            1           80m

Comment 7 errata-xmlrpc 2021-02-24 15:54:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.